io.vertx.rxjava.config

## Class ConfigRetriever

- java.lang.Object
- - io.vertx.rxjava.config.ConfigRetriever

-     public class ConfigRetriever
      extends Object

  Defines a configuration retriever that read configuration from and tracks changes periodically.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ConfigRetriever>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigRetriever(ConfigRetriever delegate)`
    `ConfigRetriever(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the retriever.
    `ReadStream<JsonObject>` | `configStream()`
    `static ConfigRetriever` | `create(Vertx vertx)` Creates an instance of the default implementation of the `ConfigRetriever`, using the default settings (json file, system properties and environment variables).
    `static ConfigRetriever` | `create(Vertx vertx, ConfigRetrieverOptions options)` Creates an instance of the default implementation of the `ConfigRetriever`.
    `boolean` | `equals(Object o)`
    `JsonObject` | `getCachedConfig()` Gets the last computed configuration.
    `void` | `getConfig(Handler<AsyncResult<JsonObject>> completionHandler)` Reads the configuration from the different and computes the final configuration.
    `static Future<JsonObject>` | `getConfigAsFuture(ConfigRetriever retriever)` Deprecated.
    `ConfigRetriever` | `getDelegate()`
    `int` | `hashCode()`
    `void` | `listen(Handler<ConfigChange> listener)` Registers a listener receiving configuration changes.
    `static ConfigRetriever` | `newInstance(ConfigRetriever arg)`
    `Single<JsonObject>` | `rxGetConfig()` Reads the configuration from the different and computes the final configuration.
    `ConfigRetriever` | `setBeforeScanHandler(Handler<Void> function)` Registers a handler called before every scan.
    `ConfigRetriever` | `setConfigurationProcessor(java.util.function.Function<JsonObject,JsonObject> processor)` Registers a handler that process the configuration before being injected into `getConfig(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.core.json.JsonObject>>)` or `listen(io.vertx.core.Handler<io.vertx.config.ConfigChange>)`.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ConfigRetriever> __TYPE_ARG

  - ### Constructor Detail

    - #### ConfigRetriever

          public ConfigRetriever(ConfigRetriever delegate)

    - #### ConfigRetriever

          public ConfigRetriever(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ConfigRetriever getDelegate()

    - #### create

          public static ConfigRetriever create(Vertx vertx,
                                               ConfigRetrieverOptions options)

      Creates an instance of the default implementation of the `ConfigRetriever`.
      Parameters:
        `vertx` - the vert.x instance
        `options` - the options, must not be `null`, must contain the list of configured store.
      Returns:
        the created instance.

    - #### create

          public static ConfigRetriever create(Vertx vertx)

      Creates an instance of the default implementation of the `ConfigRetriever`, using the default settings (json file, system properties and environment variables).
      Parameters:
        `vertx` - the vert.x instance
      Returns:
        the created instance.

    - #### getConfigAsFuture

          @Deprecated
          public static Future<JsonObject> getConfigAsFuture(ConfigRetriever retriever)

      Deprecated.
      Same as `getConfig(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.core.json.JsonObject>>)`, but returning a object. The result is a .
      Parameters:
        `retriever` - the config retrieve
      Returns:
        the future completed when the configuration is retrieved

    - #### getConfig

          public void getConfig(Handler<AsyncResult<JsonObject>> completionHandler)

      Reads the configuration from the different and computes the final configuration.
      Parameters:
        `completionHandler` - handler receiving the computed configuration, or a failure if the configuration cannot be retrieved

    - #### rxGetConfig

          public Single<JsonObject> rxGetConfig()

      Reads the configuration from the different and computes the final configuration.
      Returns:

    - #### close

          public void close()

      Closes the retriever.

    - #### getCachedConfig

          public JsonObject getCachedConfig()

      Gets the last computed configuration.
      Returns:
        the last configuration

    - #### listen

          public void listen(Handler<ConfigChange> listener)

      Registers a listener receiving configuration changes. This method cannot only be called if the configuration is broadcasted.
      Parameters:
        `listener` - the listener

    - #### setBeforeScanHandler

          public ConfigRetriever setBeforeScanHandler(Handler<Void> function)

      Registers a handler called before every scan. This method is mostly used for logging purpose.
      Parameters:
        `function` - the function, must not be `null`
      Returns:
        the current config retriever

    - #### setConfigurationProcessor

          public ConfigRetriever setConfigurationProcessor(java.util.function.Function<JsonObject,JsonObject> processor)

      Registers a handler that process the configuration before being injected into `getConfig(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.core.json.JsonObject>>)` or `listen(io.vertx.core.Handler<io.vertx.config.ConfigChange>)`. This allows the code to customize the configuration.
      Parameters:
        `processor` - the processor, must not be `null`. The method must not return `null`. The returned configuration is used. If the processor does not update the configuration, it must return the input configuration. If the processor throws an exception, the failure is passed to the `getConfig(io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.core.json.JsonObject>>)` handler.
      Returns:
        the current config retriever

    - #### configStream

          public ReadStream<JsonObject> configStream()

      Returns:
        the stream of configurations. It's single stream (unicast) and that delivers the last known config and the successors periodically.

    - #### newInstance

          public static ConfigRetriever newInstance(ConfigRetriever arg)

Copyright © 2021 Eclipse. All rights reserved.